//
//  TWSMapItemMetadata.h
//  Twilio Sync Client
//
//  Copyright © 2017 Twilio, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

/** Metadata associated with the Map Item. */
@interface TWSMapItemMetadata : NSObject

/** Optionally specify TTL for the Map Item.
 
 This TTL specifies the minimum time the Map Item will live, sometime soon after this time the object will be deleted.

 @param ttl The new time to live in seconds from now or TWSDurationInfinity to indicate no expiry.
 @return New metadata object with the specified ttl.
 */
+ (nullable TWSMapItemMetadata *)withTtl:(int)ttl;

@end
